<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.kapdion.pisano</groupId>
    <artifactId>productknowledge-parent</artifactId>
    <version>1.0-SNAPSHOT</version>
  </parent>

  <artifactId>client-app</artifactId>

  <properties>
    <maven.compiler.source>21</maven.compiler.source>
    <maven.compiler.target>21</maven.compiler.target>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <dependencies>
    <dependency>
      <groupId>com.kapdion.pisano</groupId>
      <artifactId>client-lib</artifactId>
      <version>${project.version}</version>
    </dependency>

    <dependency>
      <!-- https://mvnrepository.com/artifact/org.openjfx/javafx-controls -->
      <!-- GPLv2+CE License https://openjdk.java.net/legal/gplv2+ce.html-->
      <groupId>org.openjfx</groupId>
      <artifactId>javafx-controls</artifactId>
      <version>23.0.1</version>
    </dependency>
    <dependency>
      <!-- https://mvnrepository.com/artifact/org.controlsfx/controlsfx -->
      <!-- The 3-Clause BSD License http://www.opensource.org/licenses/bsd-license.php -->
      <groupId>org.controlsfx</groupId>
      <artifactId>controlsfx</artifactId>
      <version>11.2.2</version>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.openjfx</groupId>
        <artifactId>javafx-maven-plugin</artifactId>
        <version>0.0.8</version>
        <configuration>
          <mainClass>at.vvo.omds.client.gui.MainView</mainClass>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
